Page MenuHomePhabricator

notifications incorrectly parse tl-wrapped templates
Closed, ResolvedPublic

Description

Notifications cannot handle {{tl}} in section headers (permalink). (Not that it would otherwise be wise to use {{tl}} in section headers, it's just quite common.)


Event Timeline

FDMS created this task.Apr 19 2016, 11:51 PM
matej_suchanek updated the task description. (Show Details)
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 8 2019, 10:11 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald Transcript
kostajh added subscribers: Etonkovidova, kostajh.

@Etonkovidova could you please verify if this is still an issue? If it is, then we might want to put this on our FY2019-2020 column.

Etonkovidova closed this task as Resolved.Sep 10 2019, 8:01 PM
Etonkovidova claimed this task.

Checked in commons (with {{tl|Check categories}}) - notifications are displayed correctly with {{tl}} template.


However, it seems that using templates (without {{tl}} ) breaks section titles, which is filed as T232526.